import requests
url = "https://api.paywise.de/partner/v2/legal-forms/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/partner/v2/legal-forms/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/partner/v2/legal-forms/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v2/legal-forms/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/partner/v2/legal-forms/ \
--header 'Authorization: Bearer <token>'[
{
"code": "<string>",
"description": "<string>",
"group": "<string>",
"label": "<string>",
"representative_requirements": [
"<string>"
]
}
]{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}List legal forms
Return the authenticated, tenant-independent public catalog.
representative_requirements are the roles company readiness requires
for a company with the legal form, in the legal_representatives[].type
vocabulary. They can differ from the Case Management API’s debtor catalog.
import requests
url = "https://api.paywise.de/partner/v2/legal-forms/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/partner/v2/legal-forms/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/partner/v2/legal-forms/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v2/legal-forms/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/partner/v2/legal-forms/ \
--header 'Authorization: Bearer <token>'[
{
"code": "<string>",
"description": "<string>",
"group": "<string>",
"label": "<string>",
"representative_requirements": [
"<string>"
]
}
]{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Partner API Bearer key: Authorization: Bearer <key>. Keys are created only through authorized portal or staff flows.
Headers
Return 304 with an empty body when the current ETag matches one of the supplied validators (or *).
Response
Permanent code used when submitting this legal form.
^[-a-zA-Z0-9_]+$Short explanation of the legal form.
Legal-form family used to determine representation rules.
Display name of the legal form.
Representative roles required for this legal form: legal_representatives[].role values of a debtor in the Case Management API, legal_representatives[].type values of a company in the Partner API.
